Subject: Add media-libs/libtxc_dxtn as steam-launcher dependency

Description: If it's possible and easy to do, please add this library as a steam-launcher dependency. Many UnrealEngine, 

Source etc. games require this lib to load textures, without it all of them are black. It took me while to figure 

that, so I think it's better to save other's time and install it with steam-launcher.





Also please add this USE *abi_x86_32* so 32 bit games will work with that lib.





Probably this would require change in original gentoo package but I hope that not.





Related bugs


* https://github.com/ValveSoftware/steam-for-linux/issues/2494


* https://www.youtube.com/watch?v=AvtpQNg7LhY

History

09/21/2017 08:37 am - Alexander Tratsevskiy

- Status changed from New to Feedback

Has made changes, thanks! Check that everything works as soon as the update comes.

09/21/2017 04:18 pm - Tomasz Kaczmarczyk

After commenting this in my package.use/custom file:


<pre> #media-libs/libtxc_dxtn abi_x86_32 </pre>





Then I installed steam-launcher and saw that there is new dep. New dep also has *abi_x86_32* USE being enabled.


<pre>


<user>-pc <user> # emerge -a steam-launcher





Local copy of remote index is up-to-date and will be used.





These are the packages that would be merged, in order:





Calculating dependencies... done!


[binary  N     ] media-libs/libtxc_dxtn-1.0.1-r1  ABI_X86="32 (64) (-x32)" 


[binary  N     ] games-util/steam-launcher-1.0.0.54-r1  USE="steamruntime"


</pre>





Later I launched Chivalry: Medieval Warfare (32 bit UE3 game) and it worked good, every texture on it's place.





Thank you cl team





*P.S.* There is license warning in this lib package, but I think it's mostly harmless...

09/23/2017 07:09 am - Tomasz Kaczmarczyk

This issue can be closed.

09/25/2017 09:08 am - Alexander Tratsevskiy

- Status changed from Feedback to Closed
